package com.library.model;

import java.sql.Timestamp;

/**
 * 产品
 *
 * @author Administrator
 */

public class ProductModel {
    /**
     * winning_number : 23434
     * product_subheading : sdfSds
     * issue : 12312
     * product_image : http://qiniu.xnsystem.com/imga15381478326221538147832622
     * product_name : 老鼠沐浴露
     * need_number : 84
     * finish_time : Nov 9, 2018 6:19:34 PM
     * product_desc : 这里有包很好的猫粮
     * start_time : Oct 31, 2018 6:19:29 PM
     * by_type_id : 42
     * by_adminid : 3
     * price : 0.01
     * updata_time : Oct 31, 2018 6:19:04 PM
     * id : 1
     * state : 1
     * time : Sep 27, 2018 1:32:27 PM
     */

    private String product_image;//	产品图片
    private String product_name;//	产品名称
    private String product_desc;//	字段描述
    private int by_type_id;//	对应的分类id
    private int by_adminid;
    private int id;
    private int state;//	项目状态：1正在销售，2结束销售
    private String winning_number;//幸运号码
    private String product_subheading;//副标题
    private int issue;//期号
    private int need_number;//需要的人数
    private Timestamp finish_time;//结束时间
    private Timestamp start_time;//开始时间
    private Timestamp updata_time;//更新时间
    private double price;//价格
    private Timestamp time;//添加时间


    public String getProduct_image() {
        return product_image;
    }

    public void setProduct_image(String product_image) {
        this.product_image = product_image;
    }

    public String getProduct_name() {
        return product_name;
    }

    public void setProduct_name(String product_name) {
        this.product_name = product_name;
    }

    public String getProduct_desc() {
        return product_desc;
    }

    public void setProduct_desc(String product_desc) {
        this.product_desc = product_desc;
    }

    public int getBy_type_id() {
        return by_type_id;
    }

    public void setBy_type_id(int by_type_id) {
        this.by_type_id = by_type_id;
    }

    public int getBy_adminid() {
        return by_adminid;
    }

    public void setBy_adminid(int by_adminid) {
        this.by_adminid = by_adminid;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public int getState() {
        return state;
    }

    public void setState(int state) {
        this.state = state;
    }

    public String getWinning_number() {
        return winning_number;
    }

    public void setWinning_number(String winning_number) {
        this.winning_number = winning_number;
    }

    public String getProduct_subheading() {
        return product_subheading;
    }

    public void setProduct_subheading(String product_subheading) {
        this.product_subheading = product_subheading;
    }

    public int getIssue() {
        return issue;
    }

    public void setIssue(int issue) {
        this.issue = issue;
    }

    public int getNeed_number() {
        return need_number;
    }

    public void setNeed_number(int need_number) {
        this.need_number = need_number;
    }

    public Timestamp getFinish_time() {
        return finish_time;
    }

    public void setFinish_time(Timestamp finish_time) {
        this.finish_time = finish_time;
    }

    public Timestamp getStart_time() {
        return start_time;
    }

    public void setStart_time(Timestamp start_time) {
        this.start_time = start_time;
    }

    public Timestamp getUpdata_time() {
        return updata_time;
    }

    public void setUpdata_time(Timestamp updata_time) {
        this.updata_time = updata_time;
    }

    public double getPrice() {
        return price;
    }

    public void setPrice(double price) {
        this.price = price;
    }

    public Timestamp getTime() {
        return time;
    }

    public void setTime(Timestamp time) {
        this.time = time;
    }
}
